cPanel WebHost Manager 多个跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1192481 漏洞类型 跨站脚本
发布时间 2006-12-14 更新时间 2006-12-14
CVE编号 CVE-2006-6548 CNNVD-ID CNNVD-200612-322
漏洞平台 N/A CVSS评分 3.5
|漏洞来源
https://www.securityfocus.com/bid/82188
https://cxsecurity.com/issue/WLB-2006120095
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200612-322
|漏洞详情
cPanelWebHostManager(WHM)3.1.0存在多个跨站脚本攻击(XSS)漏洞,远程认证用户可通过传给(1)scripts2/changeemail,(2)scripts2/limitbw或(3)scripts/rearrangeacct的域参数来注入任意Web脚本或HTML。
|漏洞EXP
c#Aria-Security Team Advisory
#<www.Aria-security.Com For English >
#<www.Aria-Security.net For Persian >
#Original Advisory:
#http://www.aria-security.com/forum/showthread.php?t=44
#-----------------------------------------------------------
#Software: WebHost Manager (WHM)
#Tested WHM X v3.1.0 (demo.cpanel.net)
#Poc:
#
#http://target:2086/scripts2/changeemail?domain=d[XSS]
#http://target:2086/scripts2/limitbw?domain=[XSS]
#http://target:2086/scripts2/dofeaturemanager?action=editfeature&feature
=XSS
#http://target::2086/scripts/rearrangeacct?domain=[XSS]

#P.S : Attacker must be authenticated
#
#Contact: Advisory (at) aria-security (dot) net [email concealed]
|受影响的产品
cPanel WebHost Manager 3.1
|参考资料

来源:XF
名称:whm-multiplescripts-xss(30792)
链接:http://xforce.iss.net/xforce/xfdb/30792
来源:BUGTRAQ
名称:20061208[Aria-SecurityTeam]CentOS4.2i686-WHMXv3.1.0Cross-SiteScripting
链接:http://www.securityfocus.com/archive/1/archive/1/453885/100/0/threaded
来源:SREASON
名称:2027
链接:http://securityreason.com/securityalert/2027